<?php

namespace App\Menu;

use Sebastienheyd\Boilerplate\Menu\Builder;

class Shop
{
    public function make(Builder $menu)
    {
        $menu->add('En vente', ['icon' => 'shopping-cart' ])
            ->id('shop')
            ->order(2);

        $menu->addTo('shop', 'Articles', [
            'route' => 'Admin.Shop.Articles.index',
        ])->activeIfRoute(['Admin.Shop.Articles.*'])->order(1);
        
        $menu->addTo('shop', 'Déclinaisons', [
            'route' => 'Admin.Shop.Variations.index',
        ])->activeIfRoute(['Admin.Shop.Variations.*'])->order(2);
        
        $menu->addTo('shop', 'Tarifs', [
            'route' => 'Admin.Shop.Tariffs.index',
        ])->activeIfRoute(['Admin.Shop.Tariffs.*'])->order(3);
        
        $menu->addTo('shop', 'Offres', [
            'route' => 'Admin.Shop.Offers.index',
        ])->activeIfRoute(['Admin.Shop.Offers.*'])->order(4);

        $menu->addTo('shop', 'Rayons', [
            'route' => 'Admin.Shop.Categories.index',
        ])->activeIfRoute(['Admin.Shop.Categories.*'])->order(6);

        $menu->addTo('shop', 'Tags', [
            'route' => 'Admin.Shop.Tags.index',
        ])->activeIfRoute(['Admin.Shop.Tags.*'])->order(8);

        $menu->addTo('shop', 'Groupes de tags', [
            'route' => 'Admin.Shop.TagGroups.index',
        ])->activeIfRoute(['Admin.Shop.TagGroups.*'])->order(8);

        $menu->addTo('shop', 'Natures d\'articles', [
            'route' => 'Admin.Shop.ArticleNatures.index',
        ])->activeIfRoute(['Admin.Shop.ArticleNatures.*'])->order(9);

        $menu->addTo('shop', 'Packages', [
            'route' => 'Admin.Shop.Packages.index',
        ])->activeIfRoute(['Admin.Shop.Packages.*'])->order(12);

        $menu->addTo('shop', 'Unités de tarifs', [
            'route' => 'Admin.Shop.TariffUnities.index',
        ])->activeIfRoute(['Admin.Shop.TariffUnities.*'])->order(13);

        $menu->addTo('shop', 'Unités', [
            'route' => 'Admin.Shop.Unities.index',
        ])->activeIfRoute(['Admin.Shop.Unities.*'])->order(14);

        $menu->addTo('shop', 'Accueil', [
            'route' => 'Admin.Shop.Homepages.index',
        ])->activeIfRoute(['Admin.Shop.Homepages.*'])->order(15);
 
    }
}
